# UpdateNetworkLoadBalancerAttribute - UpdateNetworkLoadBalancerAttribute

## Overview

UpdateNetworkLoadBalancerAttribute






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `UpdateNetworkLoadBalancerAttribute`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **NLBId** | string | ID of the Load Balancing Instance |**Yes**|
| **Name** | string | Name of the Load Balancer instance |No|
| **Tag** | string | The business group ID that the load balancing instance belongs to |No|
| **Remark** | string | Remarks information of the load balancing instance |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|




## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=UpdateNetworkLoadBalancerAttribute
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=zFFpsGcM
&NLBId=nBZvtcgP
&Name=qdVajpkj
&Tag=KaitvXEZ
&Remark=HxmHHnlJ
```

### Response Example
    
```json
{
  "Action": "UpdateNetworkLoadBalancerAttributeResponse",
  "RetCode": 0
}
```





